MediaWiki:Gadget-Tooltip.css: Difference between revisions

Kuhlau (talk | contribs)
No edit summary
Kuhlau (talk | contribs)
No edit summary
Tags: Mobile edit Mobile web edit
(5 intermediate revisions by the same user not shown)
Line 2: Line 2:
/* Force disable default hover tooltip on mobile and enable the toggle */
/* Force disable default hover tooltip on mobile and enable the toggle */
.skin-minerva .hover-tooltip { display: none; }
.skin-minerva .hover-tooltip { display: none; }
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle { display: none !important; }
.custom-tt-wrapper [hidden] { display: none; }


/* Colors */
/* Colors */
Line 29: Line 29:
font-weight: normal;
font-weight: normal;
}
}
.text-tooltip { cursor: help; }
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle {
float: none !important;
display: inline-block !important;
}
 
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-default::before,
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-default::after {
content: "";
}
.toggle-tooltip { cursor: help; }


/*** The tooltip's toggle version ***/
/*** The tooltip's toggle version ***/
Line 68: Line 77:


/* Bottom of Page Container (Mobile) */
/* Bottom of Page Container (Mobile) */
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden) {
.skin-minerva .custom-tt-wrapper .mw-collapsible-content {
position: fixed;
position: fixed;
z-index: 10005;
z-index: 10005;
Line 88: Line 97:


/* Container header */
/* Container header */
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden):before {
.skin-minerva .custom-tt-wrapper .mw-collapsible-content:before {
content: "ⓘ Tooltip content:";
content: "ⓘ Tooltip content:";
display: block;
display: block;
Line 98: Line 107:


/* Tooltip surrogate toggle on container header */
/* Tooltip surrogate toggle on container header */
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden):after {
.skin-minerva .custom-tt-wrapper .mw-collapsible-content:after {
content: "×" !important;
content: "×" !important;
position: fixed;
position: fixed;
Line 113: Line 122:
}
}


.hnaw-ee .oo-ui-popupWidget-body div {
.hnaw-ee .oo-ui-popupWidget-body div,
.hnaw-ee .mw-collapsible-content.custom-tt {
text-align: left !important;
text-align: left !important;
}
}
Line 120: Line 130:
.custom-tt-wrapper .oo-ui-popupWidget-popup {
.custom-tt-wrapper .oo-ui-popupWidget-popup {
border: none;
border: none;
background-color: inherit;
background-color: transparent;
border-radius: inherit;
border-radius: none;
}
 
.skin-minerva .custom-tt-wrapper .oo-ui-popupWidget-body {
width: 100% !important;
}
}